### Enumeration

# Babl ModelFlag

#### Declaration

    flags Babl.ModelFlag

#### Description

No description available.

#### Members

`BABL_MODEL_FLAG_ALPHA`

  The model encodes alpha.

  - Value: `2`
  - Available since: 0.1
`BABL_MODEL_FLAG_ASSOCIATED`

  The alpha is associated alpha.

  - Value: `4`
  - Available since: 0.1
`BABL_MODEL_FLAG_INVERTED`

  The components are inverted (used for getting the additive complement space of CMYK).

  - Value: `8`
  - Available since: 0.1
`BABL_MODEL_FLAG_LINEAR`

  The data has no TRC, i.e. is linear.

  - Value: `1024`
  - Available since: 0.1
`BABL_MODEL_FLAG_NONLINEAR`

  The data has a TRC - the TRC from the configured space.

  - Value: `2048`
  - Available since: 0.1
`BABL_MODEL_FLAG_PERCEPTUAL`

  The data has a TRC - a perceptual TRC where 50% gray is 0.5.

  - Value: `4096`
  - Available since: 0.1
`BABL_MODEL_FLAG_GRAY`

  This is a gray component model.

  - Value: `1048576`
  - Available since: 0.1
`BABL_MODEL_FLAG_RGB`

  This is an RGB based component model, the space associated is expected to contain an RGB matrix profile.

  - Value: `2097152`
  - Available since: 0.1
`BABL_MODEL_FLAG_CIE`

  This model is part of the CIE family of spaces.

  - Value: `8388608`
  - Available since: 0.1
`BABL_MODEL_FLAG_CMYK`

  The encodings described are CMYK encodings, the space associated is expected to contain an CMYK ICC profile.

  - Value: `16777216`
  - Available since: 0.1